#include <bits/stdc++.h>

int main()
{
    using namespace std;
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    string rec;
    cin >> rec;
    int a , b;
    cin >> a >> b;
    if(a == b)
    { 
        for(int i = 0; i < a; i++)
            cout << rec;
    }
    else if(abs(a - b) == 1){ 
        if(a > b)
        { 
                for(int i = 0; i < b; i++)
                    cout << rec;

                cout << rec[0];
        }
        else 
        { 
            cout << rec[1];
            for(int i = 0; i < a; i++)
                cout << rec;
        }
    }
    else 
    { 
        cout << "nemoguce";
    }
    
    return 0;
}